<?php
/**
 * @package Plugin Unique Pages for Joomla! 2.5+
 * @version $Id: uniquepages.php 7 2012-12-17 20:23:17Z artur.ze.alves@gmail.com $
 * @author Artur Alves
 * @copyright (C) 2012 - Artur Alves
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgSystemUniquePages extends JPlugin {

    function plgSystemUniquePages(& $subject, $config) {
        parent::__construct($subject, $config);
    }

    public function onAfterRender() {
		$app = JFactory::getApplication();
		if ($app->getClientId() === 0) {
			
	    	$active = JFactory::getApplication()->getMenu()->getActive();
		
			$value = "";	
	    	if($this->params->get('menualias'))
				$value .= $active->alias;
				
			if($this->params->get('menuid'))
				$value .= " menu-" . $active->id;
				
			if($this->params->get('menualiasparents')) {
				$currentParent = JFactory::getApplication()->getMenu()->getItem($active->parent_id);
				if(isset($currentParent)) {
					do {		
						$value .= " " . $currentParent->alias;
						
						if($currentParent->level > 1) {
							$currentParent = JFactory::getApplication()->getMenu()->getItem($currentParent->parent_id);
							$level = $currentParent->level;
						}
						else
							$level = 0;					
					}
					while ($level > 0);
				}
			}
			
			if($this->params->get('menutype'))
				$value .= " " .$active->menutype;
			
			$output = JResponse::getBody();
			
			// Thanks to Mike Reumer, developer of Joomla Googlemaps plugin, for fixing the following line
			$output = preg_replace('/<body\s*(.*?)\s*class="(.*?)"(.*?)>/', '<body $1 class="$2 '.$value.'"$3>', $output);
			
			JResponse::setBody($output);
		}
     	return true;   
    }
}	
?>